VARKON Version 1.15 1998-04-03

> ## lin_free - Geometric procedure

> Creates a line
> Description
> Creates a 2D or 3D line by connecting two freely chosen positions.
> Syntax
> lin_free(id, p1, p2:attributes);

> REF | id;
> VECTOR | p1;
> VECTOR | p2;

> Principal parameters

> id | - Local identity
> p1 | - Start position
> p2 | - End position

> Optional parameters

> None. |

> Attributes

> PEN | - Pen or colour number
> LEVEL | - Level number
> BLANK | - Visible(0) or invisible(1)
> LFONT | - Solid(0), dashed(1) or centerline(2)
> LDASHL | - Dashlength
> WIDTH | - Linewidth

> Example
> lin_free(#1,vec(0,0),centre(#2));
> A straight line between X=Y=0 and the centre of #2.
> Comments
> The sense of direction for a line is from its start to its end. Distance between p1 and p2 must be at least 0.001 (TOL2).

VARKON Homepage | Index